## Example running of multiple weighted networks -- for ATiNS
## 03.20.18

## To be run after example.jl



# First, set the filename

filename = "RG_100nodes"


# Read in array from Matlab

arr = matread("/Users/annsizemore/Dropbox/TDA_tutorial_18/$(filename)_forJul.mat")



# This is read in as a dictionary. Extract important array

arr1 = arr["jadj_array"]
nmats = size(arr1)[3]

# Loop through and calculate persistent homology

for i in collect(1:nmats)
	
	adj = arr1[:,:,i]
	
	print("\nRunning Eirene...\n")
	
	C = eirene(adj,bettimax = 3, record = "barcode")
	
	b1 = barcode(C,ocf=true,dim=1)
	b2 = barcode(C,ocf=true,dim=2)
	b3 = barcode(C,ocf=true,dim=3)
	#b4 = barcode(C,ocf = true,dim=4)
	#b5 = barcode(C,ocf = true,dim=5)
	
	outname = "/Users/annsizemore/Dropbox/TDA_tutorial_18/fromJulia_$(filename)_run$(i).mat"
	matwrite(outname,Dict("b1" => b1, "b2" => b2, "b3" => b3))
	
	C = 0
	gc()
end


