function [barcodes, xaxis] = makeBarcodes(s_0,svec_0,badj,filename)
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here


cycle_colors = [0.2 0.3 0.95; 0.05 0.9 0.2; 0.9 0.05 0.3];
run = 1;
nruns = 1;
a = 1/nruns;
xaxis = [];
nedges = 0.5*nnz(badj);
nnodes = length(badj);

for i = 1:length(s_0)
load(sprintf('%s.mat',filename))
xaxis = [xaxis i*ones(1,length(find(svec_0==s_0(i))))];
end

figure('Color',[1 1 1])

for dim = 1:1
    barcodes = textread(sprintf('%s_b%d.txt',filename,dim));
    barcodes(barcodes(:,1)>nedges,:) = [];
    barcodes(barcodes(:,2)>nedges,2) = nedges;
    
    subplot(2,1,dim)
    plot([0 nedges],[0 nedges],'--','Color',[0.65 0.65 0.65])
    hold on
    for cycles = 1:size(barcodes,1)
        %plot(barcodes(cycles,1),barcodes(cycles,2),'k.','MarkerSize',10)
        %hold on
        
        t= 0:pi/10:2*pi;
        r = nedges/100;

        pb=patch((r*sin(t)+ barcodes(cycles,1)),(r*cos(t)+barcodes(cycles,2)),...
                    cycle_colors(dim,:),'edgecolor','none');
        alpha(pb,a);
        
        
    end
    axis([0 nedges 0 nedges])
    axis square
    set(gca,'LineWidth',1.7)
    box on
    xlabel('Birth Edge')
    ylabel('Death Edge')
    
    subplot(2,1,dim+1)
    plot([0 nnodes],[0 nnodes],'--','Color',[0.65 0.65 0.65])
    hold on
    for cycles = 1:size(barcodes,1)
        %plot(xaxis(barcodes(cycles,1)),xaxis(barcodes(cycles,2)),'k.','MarkerSize',10)
        %hold on
        
        t= 0:pi/10:2*pi;
        r = nnodes/100;

        pb=patch((r*sin(t)+ xaxis(barcodes(cycles,1))),(r*cos(t)+xaxis(barcodes(cycles,2))),...
                    cycle_colors(dim,:),'edgecolor','none');
        alpha(pb,a);
        
                
                
    end
    axis([0 nnodes 0 nnodes])
    axis square
    box on
    set(gca,'LineWidth',1.7)
    xlabel('Birth Node')
    ylabel('Death Node')
    
    
end

set(gcf,'Position',[0 0 1100 900])



end

